1. images
Openforge Catalog
  • blueprint
    • returns all blueprints
      GET
    • Creates a blueprint
      POST
    • returns a blueprint by id
      GET
    • Updates a blueprint
      PATCH
    • Deletes a blueprint
      DELETE
    • Returns a list of blueprint ids that match a tag head
      GET
    • Returns a list of tags and their metadata for a blueprint
      GET
    • Resets a list of tags for a blueprint. This will remove existing tags and replace them with the ones passed in
      POST
    • Deletes all tags for a blueprint.
      DELETE
    • Creates a single tag for a blueprint.
      POST
    • Deletes a single tag for a blueprint.
      DELETE
  • tags
    • Queries tags for a list of blueprint ids
      POST
  • images
    • returns all blueprints
      GET
  • image
    • Creates an image
      POST
    • returns a image by id
      GET
    • Updates an image
      PATCH
  • iamge
    • Deletes an image
      DELETE
  • Schemas
    • Schemas
      • Blueprint
      • Tag
      • TagQuery
      • Image
  1. images

returns all blueprints

GET
/api/images
Returns all iamges

Request

None

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/images'

Responses

🟢200OK
application/json
search results matching criteria
Bodyapplication/json

Example
[
    {
        "id": "string",
        "image_name": "string",
        "image_url": "string",
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "blueprint_ids": [
            "string"
        ]
    }
]
Modified at 2025-01-25 05:28:01
Previous
Queries tags for a list of blueprint ids
Next
Creates an image
Built with